Package org.drinkless.tdlib

# Class TdApi.ProcessChatFolderNewChats

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ProcessChatFolderNewChats

Enclosing class:
  `TdApi`

public static class TdApi.ProcessChatFolderNewChats extends TdApi.Function<TdApi.Ok>
Process new chats added to a shareable chat folder by its owner.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long[]`
  `addedChatIds`
  Identifiers of the new chats, which are added to the chat folder.
  `int`
  `chatFolderId`
  Chat folder identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessChatFolderNewChats()`
  Default constructor for a function, which process new chats added to a shareable chat folder by its owner.
  `ProcessChatFolderNewChats(int chatFolderId, long[] addedChatIds)`
  Creates a function, which process new chats added to a shareable chat folder by its owner.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatFolderId

    public int chatFolderId
    Chat folder identifier.

  - ### addedChatIds

    public long[] addedChatIds
    Identifiers of the new chats, which are added to the chat folder. The chats are automatically joined if they aren't joined yet.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProcessChatFolderNewChats

    public ProcessChatFolderNewChats()
    Default constructor for a function, which process new chats added to a shareable chat folder by its owner.

    Returns `Ok`

  - ### ProcessChatFolderNewChats

    public ProcessChatFolderNewChats(int chatFolderId, long[] addedChatIds)
    Creates a function, which process new chats added to a shareable chat folder by its owner.

    Returns `Ok`

    Parameters:
      `chatFolderId` - Chat folder identifier.
      `addedChatIds` - Identifiers of the new chats, which are added to the chat folder. The chats are automatically joined if they aren't joined yet.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR